# OF54 - Retrieve offer files once asynchronous offer export is complete (OF52)

DescriptionRetrieve each chunk of an offer export file via the URL generated once the asynchronous offer export is complete
Read MoreExporting offers with advanced pricesExporting offers asynchronously - APIs OF52/53

Endpoint: GET /dynamic-url/The+URL+is+retrieved+from+OF53+output/OF54
Security: Front-Bearer-Token, OAuth-2

## Security:

  - `Front-Bearer-Token` (unknown)
    http bearer JWT

  - `OAuth-2` (unknown)
    oauth2

## Path parameters:

  - `tracking_id` (string, required)
    The asynchronous offer export id

## Response 200:

  - `200` (unknown)
    OK
> **text/csv**

The offer custom fields are not listed in this list.Each custom field will have its own column, with the custom field code as the column name

## Response 200 fields (application/json):

  - `active` (boolean)
    Indicates if the offer is active or inactive (not for sale or discontinued)

  - `allow_quote_requests` (boolean)
    Allow customers to request quotes on this offer

  - `available_end_date` (string)
    The date when the offer will be deactivated

  - `available_start_date` (string)
    The date when the offer will be activated

  - `channels` (array)
    List of channel codes on which the offer can be sold.

  - `currency_iso_code` (string)
    ISO code of the currency

  - `date_created` (string)
    Date and time of the offer creation

  - `deleted` (boolean)
    Indicates whether the offer exists or is deleted

  - `description` (string)
    Offer description

  - `eco_contributions` (array)
    Eco-contributions of the offer - only available if the operator setting Data collection related to circular economy regulations has been enabled.

  - `eco_contributions.eco_contribution_amount` (number)
    List of eco-contribution amounts, if applicable
Only taken into account if the operator activates the circular economy information collection.

  - `eco_contributions.epr_category_code` (string, required)
    Extended Producer Responsibility (EPR) category code.
Enum: `"FR-AGROPACK"`, `"FR-ASL"`, `"FR-DASRIPAT"`, `"FR-DBPS"`, `"FR-DDS"`, `"FR-DEA"`, `"FR-DEEE"`, `"FR-DISPMED"`, `"FR-DIY"`, `"FR-EMBM"`, `"FR-GF"`, `"FR-JOUETS"`, `"FR-LUB"`, `"FR-MH"`, `"FR-MNU"`, `"FR-PA"`, `"FR-PAP"`, `"FR-PCHIM"`, `"FR-PMCB"`, `"FR-PNEU"`, `"FR-TABAC"`, `"FR-TLC"`, `"FR-VEHICULE"`, `"FR-VHU"`, `"DE-BATTG"`, `"DE-PACK"`, `"DE-WEEE"`, `"ES-PACK"`, `"ES-GPACK"`, `"ES-WEEE"`

  - `eco_contributions.producer_id` (string)
    List of producer identifiers corresponding to eco contribution amounts, if applicable
Only taken into account if the operator activates the circular economy information collection.

  - `favorite_rank` (integer)
    If present, indicates that the offer is a favorite offer ranked

  - `fulfillment` (object)

  - `fulfillment.center` (object)

  - `fulfillment.center.code` (string)
    Code of the fullfilment center

  - `is_professional` (boolean)
    Indicates if the store is professional or not

  - `last_updated` (string)
    Date and time of the last update of the offer

  - `leadtime_to_ship` (integer)
    The lead time to ship corresponding to the offer

  - `logistic_class` (object)

  - `logistic_class.code` (string)
    Code for the logistic class linked to the offer (directly or via the Marketplace category)

  - `max_order_quantity` (integer)
    The maximum order quantity customers must select to be able to place an order for that offer

  - `measurement` (object)

  - `measurement.total_measurement_of_product` (number)
    The product measurement
This option is only available if the operator creates a product with a measurement unit.

  - `measurement.unit` (string)
    The product unit
This option is only available if the operator creates a product with a measurement unit.

  - `min_order_quantity` (integer)
    The minimum order quantity customers must select to be able to place an order for that offer

  - `min_shipping_price` (number)
    Minimum shipping charges for the offer

  - `min_shipping_price_additional` (number)
    Additional shipping charges for the offer

  - `min_shipping_type` (string)
    Shipping method with the minimum shipping charges (code referenced by the operator)

  - `min_shipping_zone` (string)
    Shipping zone with the minimum shipping charges (code referenced by the operator)

  - `model` (string)
    The platform model of the seller account providing the offer.
Used for Hybrid platforms.
One of MARKETPLACE, DROPSHIP, ONE_CREDITOR

  - `msrp` (number)
    The retail price recommendation, also referred to as manufacturer's suggested retail price (MSRP) or recommended retail price (RRP).
Applicable only for Dropship offers.

  - `offer_additional_fields` (array)
    Custom fields of the offer

  - `offer_additional_fields.code` (string)
    The custom field's code

  - `offer_additional_fields.type` (string)
    One of BOOLEAN, DATE, LINK, LIST, MULTIPLE_VALUES_LIST, NUMERIC, REGEX, STRING, TEXTAREA

  - `offer_additional_fields.value` (string)
    The custom field's value

  - `offer_id` (integer)
    Unique offer identifier assigned by Mirakl

  - `ongoing_discount_campaigns` (array)
    Ongoing discount campaigns the offer is currently participating in.
Not returned if the offer is not currently participating in any discount campaign or if Discount Campaign feature is disabled.

  - `ongoing_discount_campaigns.identifier` (string)
    Unique identifier of the discount campaign

  - `package_quantity` (integer)
    For one order, customers can only add packages of product items.
The number of items per package is the increment number of that product in an order.

  - `premium` (boolean)
    Indicates if the store is premium or not

  - `price_additional_info` (string)
    Information about the offer price

  - `prices` (array)
    List of prices for the offer.
For Dropship specifically: the list of purchasing prices of the offer, also referred to as costs or wholesale prices

  - `prices.context` (object)

  - `prices.context.channel_codes` (array)
    The channel codes on which a specific price applies. Returned if Channel Pricing is enabled.

  - `prices.context.customer_group_ids` (array)
    The customer group ids on which a specific price applies. Returned if Customer Pricing is enabled.

  - `prices.context.customer_organization_ids` (array)
    The customer organization ids on which a specific price applies. Returned if Customer Pricing is enabled.

  - `prices.context.end_date` (string)
    The end date of a specific price. Returned if Scheduled Pricing is enabled.

  - `prices.context.start_date` (string)
    The start date of a specific price. Returned if Scheduled Pricing is enabled.

  - `prices.discount_end_date` (string)
    End date of the discounted price.
For Dropship specifically: the end date of the discounted purchasing price

  - `prices.discount_price` (number)
    Discounted price
Is not returned if a volume price with discount exists
For Dropship specifically: the discounted purchasing price, also referred to as cost or wholesale price

  - `prices.discount_start_date` (string)
    Start date of the discounted price.
For Dropship specifically: the start date of the discounted purchasing price

  - `prices.origin_price` (number)
    Price without discount
For Dropship specifically: the purchasing price, also referred to as cost or wholesale price

  - `prices.volume_prices` (array)
    Volume prices for each quantity threshold
Returns at least the price for a quantity threshold of one

  - `prices.volume_prices.quantity_threshold` (integer)
    Quantity to trigger a discount in a volume pricing strategy

  - `prices.volume_prices.unit_discount_price` (number)
    Unit discount price for this quantity threshold

  - `prices.volume_prices.unit_origin_price` (number)
    Unit price for this quantity threshold

  - `product_sku` (string)
    Product identifier within the operator's system

  - `product_tax_code` (string)
    Tax code for the product

  - `quantity` (integer)
    Offer quantity available

  - `retail_prices` (array)
    List retail prices for the offer, also referred to as selling prices.
Applicable only for Dropship offers.

  - `retail_prices.discount_end_date` (string)
    End date of the discounted retail price

  - `retail_prices.discount_price` (number)
    Discounted retail price

  - `retail_prices.discount_start_date` (string)
    Start date of the discounted retail price

  - `retail_prices.origin_price` (number)
    Retail price without discount

  - `shipping_types` (array)
    List of shipping types for the offer.
Returned if Export shipping charges and delivery times in OF5X, P11 and the offer webhook is enabled.

  - `shipping_types.code` (string)
    Shipping method code

  - `shipping_types.delivery_time` (object)

  - `shipping_types.delivery_time.earliest_days` (integer)
    Earliest order delivery time

  - `shipping_types.delivery_time.latest_days` (integer)
    Latest order delivery time

  - `shipping_types.shipping_price_additional_unit` (number)
    Additional shipping price of the offer

  - `shipping_types.shipping_price_type` (string)
    Shipping price type of the offer

  - `shipping_types.shipping_price_unit` (number)
    Shipping price of the offer

  - `shipping_types.shipping_zone_code` (string)
    Shipping zone code

  - `shop_id` (integer)
    Unique identifier for the store providing this offer (assigned by Mirakl)

  - `shop_name` (string)
    Name of the store providing this offer

  - `shop_sku` (string)
    Shop's sku of the offer

  - `state_code` (string)
    Offer condition code

  - `warehouses` (array)
    The breakdown of the available quantities of the offer in each warehouse

  - `warehouses.code` (string)
    The code of the warehouse

  - `warehouses.quantity` (integer)
    The available quantity of the offer for the warehouse

## Response 200 fields (text/csv):

  - `allow-quote-requests` (boolean)
    Allow customers to request quotes on this offer

  - `available-end-date` (string)
    The date when the offer will be deactivated

  - `available-start-date` (string)
    The date when the offer will be activated

  - `currency-iso-code` (string)
    ISO code of the currency
Enum: `"AED"`, `"ARS"`, `"AUD"`, `"BAM"`, `"BGN"`, `"BHD"`, `"BRL"`, `"CAD"`, `"CHF"`, `"CLP"`, `"CNY"`, `"COP"`, `"CZK"`, `"DKK"`, `"EGP"`, `"EUR"`, `"GBP"`, `"GEL"`, `"GTQ"`, `"HKD"`, `"HRK"`, `"HUF"`, `"IDR"`, `"ILS"`, `"INR"`, `"IQD"`, `"JOD"`, `"JPY"`, `"KES"`, `"KRW"`, `"KWD"`, `"LKR"`, `"MAD"`, `"MGA"`, `"MXN"`, `"MYR"`, `"NGN"`, `"NOK"`, `"NZD"`, `"OMR"`, `"PEN"`, `"PHP"`, `"PKR"`, `"PLN"`, `"QAR"`, `"RON"`, `"RSD"`, `"RUB"`, `"SAR"`, `"SEK"`, `"SGD"`, `"TND"`, `"TRY"`, `"THB"`, `"TWD"`, `"UAH"`, `"USD"`, `"UYU"`, `"UZS"`, `"VND"`, `"ZAR"`

  - `date-created` (string)
    Date and time of the offer creation

  - `delivery-time-earliest-days[zone=<CODE>,method=<CODE>]` (string)
    Minimum delivery time.
Returned if Export shipping charges and delivery times in OF5X, P11 and the offer webhook is enabled.

  - `delivery-time-latest-days[zone=<CODE>,method=<CODE>]` (string)
    Maximum delivery time.
Returned if Export shipping charges and delivery times in OF5X, P11 and the offer webhook is enabled.

  - `discount-end-date` (string)
    The end date of the discount period.
For Dropship specifically: the end date of the discount period on the purchasing price

  - `discount-end-date[channel=<channelCode>]` (string)
    The end date of the discount period for the indicated channel, when the Channel Pricing feature is activated.
Can be empty. In this case, the discount price applies from the start date and is then always available for the indicated channel.

  - `discount-price` (number)
    The discount price of the offer
For Dropship specifically: the discount purchasing price of the offer, also referred to as cost or wholesale price

  - `discount-price[channel=<channelCode>]` (number)
    The discount price of an offer for the indicated channel, when the Channel Pricing feature is activated.
Can be empty when no discount price is defined for a given channel. In this case, the default discount price of the offer applies to the indicated channel.

  - `discount-ranges` (string)
    The ranges of the discount prices when the Volume Pricing feature is activated.

  - `discount-ranges[channel=<channelCode>]` (string)
    The ranges of the discount prices for the indicated channel, when the Channel Pricing and Volume Discount features are activated.

  - `discount-retail-price` (number)
    The discount retail price of the offer.
Applicable only for Dropship offers.

  - `discount-retail-price-end-date` (string)
    The end date of the discount period for the retail price.
Applicable only for Dropship offers.

  - `discount-retail-price-start-date` (string)
    The start date of the discount period for the retail price.
Applicable only for Dropship offers.

  - `discount-start-date` (string)
    The start date of the discount period.
For Dropship specifically: the start date of the discount period on the purchasing price

  - `discount-start-date[channel=<channelCode>]` (string)
    The start date of the discount period for the indicated channel, when the Channel Pricing feature is activated.
Can be empty. In this case, the discount price applies from the start date and is then always available for the indicated channel.

  - `eco-contribution-amount[EPR category code]` (number)
    Amount of the eco-contribution for the EPR category. Returned if Data collection related to circular economy regulations is enabled.

  - `favorite-rank` (integer)
    If present, indicates that the offer is a favorite offer ranked

  - `fulfillment-center-code` (string)
    Code of the fullfilment center

  - `last-updated` (string)
    Date and time of the last update of the offer

  - `leadtime-to-ship` (integer)
    The lead time to ship corresponding to the offer

  - `logistic-class` (string)
    The logistic class associated to the offer

  - `max-order-quantity` (integer)
    The maximum order quantity customers must select to be able to place an order for that offer

  - `measurement-units` (string)
    The product measurement and the product unit
This option is only available if the operator creates a product with a measurement unit.

  - `min-order-quantity` (integer)
    The minimum order quantity customers must select to be able to place an order for that offer

  - `min-shipping-price` (number)
    Minimum shipping charges for the offer

  - `min-shipping-price-additional` (number)
    Additional shipping charges for the offer

  - `min-shipping-type` (string)
    Shipping method with the minimum shipping charges (code referenced by the operator)

  - `min-shipping-zone` (string)
    Shipping zone with the minimum shipping charges (code referenced by the operator)

  - `offer-id` (integer)
    Unique offer identifier assigned by Mirakl

  - `ongoing-discount-campaigns` (string)
    Ongoing discount campaigns the offer is currently participating in.
Not returned if the offer is not currently participating in any discount campaign or if Discount Campaign feature is disabled.

  - `origin-price` (number)
    The original price of the offer
For Dropship specifically: the original purchasing price of the offer, also referred to as cost or wholesale price

  - `origin-price[channel=<channelCode>]` (number)
    The original price granted for an offer for the indicated channel

  - `origin-retail-price` (number)
    The original retail price of the offer, also referred to as original selling price.
Applicable only for Dropship offers.

  - `package-quantity` (integer)
    For one order, customers can only add packages of product items.
The number of items per package is the increment number of that product in an order.

  - `price` (number)
    Offer current price (original price or discount price if in discount period)
For Dropship specifically: the purchasing price of the offer (original price or discount price if in discount period), also referred to as cost or wholesale price

  - `price-additional-info` (string)
    Information about the offer price

  - `price-ranges` (string)
    The price ranges when the Volume Pricing feature is activated.

  - `price-ranges[channel=<channelCode>]` (string)
    The price ranges for the indicated channel when the Channel Pricing and the Volume Pricing features are activated.
Can be empty when no specific price range is defined for a given channel.

  - `price[channel=<channelCode>]` (number)
    The unit price of an offer for the indicated channel, when the Channel Pricing feature is activated.
Can be empty when no specific price is defined for a given channel. In this case, the base price of the offer applies to the indicated channel.

  - `producer-id[EPR category code]` (string)
    Producer identifier of the eco-contribution for the EPR category. Returned if Data collection related to circular economy regulations is enabled.

  - `product-sku` (string)
    Product identifier within the operator's system

  - `product-tax-code` (string)
    Tax code for the product

  - `professional` (boolean)
    Indicates if the store is professional or not

  - `retail-price` (number)
    Offer current retail price (original retail price or discount retail price if in discount period). Also referred to as selling price.
Applicable only for Dropship offers.

  - `shipping-price-additional[zone=<CODE>,method=<CODE>]` (number)
    Additional shipping charges for the offer, for each combination of shipping zone and method. 
Returned if Export shipping charges and delivery times in OF5X, P11 and the offer webhook is enabled.

  - `shipping-price-type[zone=<CODE>,method=<CODE>]` (string)
    Shipping charges type for the offer, for each combination of shipping zone and method. 
Returned if Export shipping charges and delivery times in OF5X, P11 and the offer webhook is enabled.

  - `shipping-price[zone=<CODE>,method=<CODE>]` (number)
    Shipping charges for the offer, for each combination of shipping zone and method. 
Returned if Export shipping charges and delivery times in OF5X, P11 and the offer webhook is enabled.

  - `shop-id` (integer)
    Unique identifier for the store providing this offer (assigned by Mirakl)

  - `shop-name` (string)
    Name of the store providing this offer

  - `shop-sku` (string)
    Shop's sku of the offer

  - `state-code` (string)
    Offer condition code

  - `total-price` (number)
    Offer price + minimum shipping charge
For Dropship specifically: the purchasing price of the offer + minimum shipping charge

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Example with business values (application/json) with shipping charges and delivery times` (unknown)

  - `Complete example with value types (application/json)` (unknown)

  - `Example with business values (text/csv)` (unknown)

  - `Example with business values (text/csv) with shipping charges and delivery times` (unknown)

  - `Complete example with value types (text/csv)` (unknown)

